Bug 144444 - libusbscanner - setup for a "cold plugged" scanner
Summary: libusbscanner - setup for a "cold plugged" scanner
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-07 02:44 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 13:07:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch to fix "no-one seems to know how" case (1.58 KB, patch)
2005-01-07 02:45 UTC, Michal Jaegermann
no flags Details | Diff

Description Michal Jaegermann 2005-01-07 02:44:15 UTC
Description of problem:

A comment in /etc/hotplug/usb/libusbscanner says

    # If the scanner is "cold plugged," this event will likely occur 
    # before the root filesystem is writeable, but no-one seems to
    # know how to fix that.

What about the attached patch?  It seems to work for me just fine.
OTOH this may be only important when nobody is actually logged on
a console but a scanner can be used by remote logins.  Not a "normal"
situation but not unheard of either.  After a console login
pam reapplies permission given in /etc/security/console.perms
with a link which already exists.

Version-Relesase number of selected component (if applicable):
sane-backends-1.0.15-1.4

Comment 1 Michal Jaegermann 2005-01-07 02:45:40 UTC
Created attachment 109454 [details]
proposed patch to fix "no-one seems to know how" case

Comment 2 Sitsofe Wheeler 2005-01-07 09:15:08 UTC
This sounds related to bug #142727

Comment 3 Nils Philippsen 2006-04-05 14:15:19 UTC
"Long, long time ago..."

sane-backends-1.0.17-0.fc4.2 which includes your patch (thanks!) is building
right now and should hit FC4 updates-testing shortly.


Note You need to log in before you can comment on or make changes to this bug.